[
{
    blockid=proxy;
    help=service_http_proxy_proxy;
    localvar={
        .adminproxy.text="\ud504\ub85d\uc2dc \uc778\uc99d\uc5d0 \ub300\ud55c \uad00\ub9ac \ud5c8\uc6a9";
	.delimiter="$";
	.allow.help="(\ub370\ubaac, \ud074\ub77c\uc774\uc5b8\ud2b8) \uc30d\uc774 \ud5c8\uc6a9 \ud544\ud130\uc640 \uc77c\uce58\ud558\ub294 \uacbd\uc6b0 \ud504\ub85d\uc2dc \uc778\uc99d\uc774 \ubd80\uc5ec\ub429\ub2c8\ub2e4.";
	.allow.header="\ud5c8\uc6a9";
	.allow.title="\ud5c8\uc6a9 \ud544\ud130 \ud56d\ubaa9";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=allowlabel;
	    text=$.allow.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=allowtable;
	    showedit=true;
	    buttonsat=east;
	    label=allowlabel;
	    visiblerows=5;
	    stdtable=true;
	    addui=allowdialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    editui=allowdialog;
	    addtitle=$.allow.title;
	    edittitle=$.allow.title;
	    val=$proxydomainallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		weighty=1;
		fill=h;
		anchor=northwest;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.allow.header;
		    varname=allowrule;
		}
	    ]
	}
    ]
},
{
    blockid=allowdialog;
    help=service_http_proxy_allowdialog;
    localvar={
	.allowrule.help="\ud5c8\uc6a9 \ud544\ud130:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.allowrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$allowrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.httpaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.httpaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
